#!/usr/bin/python
##
## -----------------------------------------------------------------
##    This file is part of WAPT Software Deployment
##    Copyright (C) 2012 - 2020  Tranquil IT https://www.tranquil.it
##    All Rights Reserved.
##
##    WAPT helps systems administrators to efficiently deploy
##    setup, update and configure applications.
## ------------------------------------------------------------------
##

from waptserver.config import __version__

import os
import platform
import sys

if not sys.platform == 'win32':
    import setproctitle
    setproctitle.setproctitle('wapttasks')

try:
    wapt_root_dir = os.path.abspath(os.path.join(os.path.dirname(__file__), '..'))
except:
    wapt_root_dir = 'c:/tranquilit/wapt'

from huey.bin import huey_consumer

if __name__ == '__main__':
    huey_consumer.consumer_main()
